#pragma once


class CMouseSnap
{
public:
	CMouseSnap();
	~CMouseSnap();
public:
	void EnableSnap(bool bEnable);
	void SetSnapIncrement(int nNewIncrement);
	void SnapCursor(CPoint &point);
	void DrawCursor(CDC *pDC, CPoint point);

	void InitGrid(int nXRes, int nYRes);
	void EnableGrid(bool bEnable);
	void DrawGrid(CDC *pDC);
private:
public:
private:
	bool m_bSnapEnabled;
	bool m_bGridEnabled;
	int m_nSnapIncrement;
	int m_nXOffset;
	int m_nYOffset;
	CRect m_rectActual;

	int m_nXResolution;
	int m_nYResolution;
};
